Creates many tasks in a single request. Each task requires a name. All other fields are optional.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= items <= 100application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/tasks/many" \ -H "Content-Type: application/json" \ -d '{ "tasks": [ { "name": "string" } ] }'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "userPendingAuthorization",
"notes": {},
"createdAt": "string",
"updatedAt": "string",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"parentTaskId": "2506db93-67fe-4ab8-a809-f4aa6ed8a0f4",
"sortOrder": -9007199254740991,
"dueDate": "string",
"users": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string",
"email": "user@example.com"
}
],
"contacts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string"
}
],
"organizations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
],
"deals": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
],
"services": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"amount": 0
}
],
"customFieldValues": [
{
"columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
"value": "string"
}
]
}
]"string""string""string""string"